Bug 38031 - glidelink uses /var/tmp paths
Summary: glidelink uses /var/tmp paths
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-27 09:47 UTC by Harald Hoyer
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-27 10:14:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2001-04-27 09:47:02 UTC
strace reveils:

unlink("/var/tmp/XFree86-4.0.3-root/usr/lib/libglide3.so.3.10.0") = -1 ENOENT (No such file or 
directory)
symlink("glide3/libglide3-v5.so", "/var/tmp/XFree86-4.0.3-root/usr/lib/libglide3.so.3.10.0") = -1 
ENOENT (No such file or directory)

Comment 1 Harald Hoyer 2001-04-27 10:14:03 UTC
Solution:
remove RPM_BUILD_ROOT in the specfile from the define 
    gcc -o glidelink %{SOURCE13} $RPM_OPT_FLAGS \
        -DGLIDELIB=\"$RPM_BUILD_ROOT/usr/lib/libglide3.so.%{GlideLibver}\" \
        -lkudzu -lpci
to:
    gcc -o glidelink %{SOURCE13} $RPM_OPT_FLAGS \
        -DGLIDELIB=\"/usr/lib/libglide3.so.%{GlideLibver}\" \
        -lkudzu -lpci


Comment 2 Mike A. Harris 2001-05-02 19:31:36 UTC
I made the change in 10.x.y should appear in -11 release.  Hope it doesn't
affect build dependancies if no glide is installed when XFree86 is built.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.